# ironic-inspector

## baremetal introspection abort

Abort running introspection for node.

    openstack baremetal introspection abort node

node

  baremetal node UUID or name

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection data save

Save or display raw introspection data.

    openstack baremetal introspection data save
        [--file <filename>]
        [--unprocessed]
        node

--file <filename>

  downloaded introspection data filename (default: stdout)

--unprocessed

  download the unprocessed data

node

  baremetal node UUID or name

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection interface list

List interface data including attached switch port information.

    openstack baremetal introspection interface list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--vlan VLAN]
        [--long
        |
        --fields <field>
        [<field> ...]]
        node_ident

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--vlan <VLAN>

  List only interfaces configured for this vlan id, can be repeated

--long

  Show detailed information about interfaces.

--fields <field>

  Display one or more fields. Can not be used when ‘–long’ is specified

node_ident

  baremetal node UUID or name

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection interface show

Show interface data including attached switch port information.

    openstack baremetal introspection interface show
        [--fields <field> [<field> ...]]
        node_ident
        interface

--fields <field>

  Display one or more fields.

node_ident

  baremetal node UUID or name

interface

  interface name

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection list

List introspection statuses

    openstack baremetal introspection list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--marker MARKER]
        [--limit LIMIT]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  UUID of the last item on the previous page

--limit <LIMIT>

  the amount of items to return

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection reprocess

Reprocess stored introspection data

    openstack baremetal introspection reprocess node

node

  baremetal node UUID or name

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection rule delete

Delete an introspection rule.

    openstack baremetal introspection rule delete uuid

uuid

  rule UUID

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection rule import

Import one or several introspection rules from a JSON/YAML file.

    openstack baremetal introspection rule import
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        file

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

file

  JSON or YAML file to import, may contain one or several rules

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection rule list

List all introspection rules.

    openstack baremetal introspection rule list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection rule purge

Drop all introspection rules.

    openstack baremetal introspection rule purge

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection rule show

Show an introspection rule.

    openstack baremetal introspection rule show uuid

uuid

  rule UUID

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection start

Start the introspection.

    openstack baremetal introspection start
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--wait]
        [--check-errors]
        node
        [node ...]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--wait

  wait for introspection to finish; the result will be displayed in the end

--check-errors

  check if errors occurred during the introspection; if any error occurs only the errors are displayed; can only be used with –wait

node

  baremetal node UUID(s) or name(s)

This command is provided by the python-ironic-inspector-client plugin.

## baremetal introspection status

Get introspection status.

    openstack baremetal introspection status node

node

  baremetal node UUID or name

This command is provided by the python-ironic-inspector-client plugin.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.